jQuery.noConflict();
jQuery(function($) {
    $(document).ready( function() {
        $('ul.sf-menu').superfish({
            autoArrows:  false
        });
        
    $('.gallery').magnificPopup({
      delegate: 'a',
      type: 'image',
      closeOnContentClick: true,
      closeBtnInside: false,
      mainClass: 'mfp-with-zoom mfp-img-mobile',
      image: {
        verticalFit: true,
        titleSrc: function(item) {
          return item.el.attr('title') + '';
        }
      },
      gallery: {
        enabled: true
      },
      zoom: {
        enabled: true,
        duration: 300, // don't foget to change the duration also in CSS
        opener: function(element) {
          return element.find('img');
        }
      }

    });
        
      /* fix vertical when not overflow
      call fullscreenFix() if .fullscreen content changes */
      function fullscreenFix(){
          var h = $('body').height();
          // set .fullscreen height
          $(".homepage").each(function(i){
              if($(this).innerHeight() <= h){
                  $(this).closest(".fullscreen").addClass("not-overflow");
              }
          });
      }
      $(window).resize(fullscreenFix);
      fullscreenFix();
        
        resizeDiv();
        var setsmallwidth = "100%";

        vpw = $(window).width();
        vph = $(document).height();

        if(vpw<648) {
            setsmallwidth = "100%";
        }
        $('.small_menu').click(function(){
             $( ".mobile-sidebar" ).animate({
                 width: setsmallwidth,
                 display:"block",
                 left: "0"
              }, 500,function(){resizeDiv();});

        });
        $('.close_sidebar').click(function(){
             $( ".mobile-sidebar" ).animate({
                 width: "0",
                 display:"block"
              }, 500);
        });


    });

    function resizeDiv() {
        vpw = $(document).width();
        vph = $(document).height();
        $('.mobile-sidebar').css({'height': vph + 'px'});
    }

    
    /*FLEXSLIDER*/
    var $window = $(window),
      flexslider;

    // tiny helper function to add breakpoints
    function getGridSize() {
    return (window.innerWidth < 600) ? 2 :
           (window.innerWidth < 900) ? 2 : 3;
    }

    $window.load(function() {
    $('.flexslider').flexslider({
      animation: "slide",
      slideshow: false,
      animationLoop: false,
      itemWidth: 385,
      itemMargin: 0,
      controlNav: false,
      prevText: "",
      nextText: "",   
      minItems: getGridSize(), // use function to pull in initial value
      maxItems: getGridSize() // use function to pull in initial value
    });
    });

    // check grid size on resize event
    $window.resize(function() {
    var gridSize = getGridSize();

    flexslider.vars.minItems = gridSize;
    flexslider.vars.maxItems = gridSize;
    });
    /* END FLEXSLIDER*/
    
    
    /********** jQuery Isotope Filterable Portfolio  **********/

	var $container = $('#gallery');

	if($container.length ) {
		$container.isotope({
		  itemSelector : '.view',
		  layoutMode : 'fitRows',

      resizable: false, // disable normal resizing
      // set columnWidth to a percentage of container width
      masonry: { columnWidth: $container.width() / 4 }
		});
	}


  // update columnWidth on window resize
  $(window).smartresize(function(){
    $container.isotope({
      // update columnWidth to a percentage of container width
      masonry: { columnWidth: $container.width() / 4 }
    });
  });

	var $optionSets = $('ul.filterable'),
	$optionLinks = $optionSets.find('a');

	$optionLinks.click(function(){
		var $this = $(this);
		// don't proceed if already selected
		if ( $this.hasClass('active') ) {
		return false;
		}
		var $optionSet = $this.parents('.filterable');
		$optionSet.find('li.active').removeClass('active');
		$this.parents('li').addClass('active');

		// make option object dynamically, i.e. { filter: '.my-filter-class' }
		var options = {},
		key = $optionSet.attr('data-option-key'),
		value = $this.attr('data-option-value');
		// parse 'false' as false boolean
		value = value === 'false' ? false : value;
		options[ key ] = value;
		if ( key === 'layoutMode' && typeof changeLayoutMode === 'function' ) {
			// changes in layout modes need extra logic
			changeLayoutMode( $this, options )
		} else {
			// otherwise, apply new options
			$container.isotope( options );
		}
		return false;
	});

	/********** jQuery Isotope Filterable Portfolio  **********/
    
      /********** sticky Header  **********/
      $(window).scroll(function() {
      if ($(this).scrollTop() > $(window).height() - $('header').height()){
          $('header').addClass("sticky");
        }
        else{
          $('header').removeClass("sticky");
        }
      });
    
});

